<ion-header>
  <ion-toolbar>
    <ion-title>
      Favoritos
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card *ngIf="!haveFavorites()">
    <ion-item>
      <ion-label>No tienes ciudades como favoritos</ion-label>
    </ion-item>
  </ion-card>

  <ion-list>
    <ion-item-sliding *ngFor="let city of cities_data">
      <ion-item>
        <ion-card>  
          <ion-card-header>      
            <ion-label>{{city.name}}</ion-label>
          </ion-card-header>
          <ion-card-content>
            <ion-label>Temperatura: {{city.temp}}°, Max: {{city.temp_max}}°, Min: {{city.temp_min}}°</ion-label>
            <ion-button (click)="removeFavorite(city)">Eliminar</ion-button>
            <ion-button color="light" (click)="shareCity(city)">Compartir</ion-button>
          </ion-card-content>
        </ion-card>
      </ion-item>
    </ion-item-sliding>
  </ion-list>
</ion-content>
